Package: groovy.io

## [Java] Class PlatformLineWriter

- groovy.io.PlatformLineWriter

-     public class PlatformLineWriter
      extends Writer

  A buffered writer that gobbles any \r characters and replaces every \n with a platform specific newline. In many places Groovy normalises streams to only have \n characters but when creating files that must be used by other platform-aware tools, you sometimes want the newlines to match what the platform expects.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PlatformLineWriter(Writer out)`
    `PlatformLineWriter(Writer out, int sz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `public void` | `write(char[] cbuf, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Writer` | `append, append, append, append, append, append, close, equals, flush, getClass, hashCode, notify, notifyAll, nullWriter, toString, wait, wait, wait, write, write, write, write, write`

- - ### Constructor Detail

    - #### public PlatformLineWriter(Writer out)

    - #### public PlatformLineWriter(Writer out, int sz)

  - ### Method Detail

    - #### @Override
      public void close()

    - #### @Override
      public void flush()

    - #### @Override
      public void write(char[] cbuf, int off, int len)